#pragma once

int glasnoca = 500;
int E = 331;
int F = 369;
int Fis = 372;
int G = 393;
int Gis = 416;
int A = 440;
int B = 469;
int H = 492;
int C = 521;
int Cis = 551;
int D = 586;
int Dis = 621;

int tonovi[12] = {E, F, Fis, G, Gis, A, B, H, C, Cis, D, Dis};

void zvuk_pobjednicki(int buzzer) {
  tone(buzzer, G / 2);
  delay(200);
  tone(buzzer, C / 2);
  delay(200);
  tone(buzzer, E);
  delay(200);
  tone(buzzer, G);
  delay(200);
  noTone(buzzer);
  delay(200);
  tone(buzzer, E);
  delay(200);
  tone(buzzer, G);
  delay(600);
  noTone(buzzer);
}

void zvuk_gubitnicki(int buzzer) {
  for (int freq = A; freq > G; freq = freq - 2) {
    tone(buzzer, freq);
    delay(10);
  }
  delay(150);
  noTone(buzzer);
  delay(50);
  for (int freq = Fis; freq > E; freq = freq - 2) {
    tone(buzzer, freq);
    delay(10);
  }
  delay(150);
  noTone(buzzer);
  delay(50);

  for (int freq = Dis / 2; freq > A / 2; freq--) {
    tone(buzzer, freq);
    delay(10);
  }
  noTone(buzzer);
}

void zvuk_pucaj(int buzzer) {
  for (int freq = 1000; freq > 449; freq = freq - 20) {
    tone(buzzer, freq);
    delay(10);
  }
  noTone(buzzer);
}

void zvuk_pogodak(int buzzer) {
  tone(buzzer, G);
  delay(200);
  tone(buzzer, C);
  delay(600);
  noTone(buzzer);
}

void zvuk_promasaj(int buzzer) {
  tone(buzzer, A);
  delay(200);
  tone(buzzer, Fis);
  delay(200);
  noTone(buzzer);
  delay(200);
}

// G C E G E G
void napravi_zvuk(int buzzer, int frekvencija_, int trajanje) {
  int period = 1000000 / frekvencija_;
  int ponavljanje = trajanje * 1000 / period;
  for (int i = 0; i < ponavljanje; i++) // When a frequency sound
  {

    analogWrite(buzzer, glasnoca); // send tone
    delayMicroseconds(period / 2);
    analogWrite(buzzer, LOW); // send tone
    delayMicroseconds(period / 2);

    /*
    for (int brojac = 0; brojac != period; brojac++){
      delayMicroseconds(1);
    }
    digitalWrite (buzzer, LOW); //no tone

    for (int brojac = 0; brojac != period; brojac++){
      delayMicroseconds(1);
    }*/
  }
}
